"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntityRepositoryFactory = void 0;
const constants_1 = require("../constants");
function EntityRepositoryFactory(entity) {
    return {
        provide: constants_1.CURRENT_ENTITY_REPOSITORY,
        useFactory: (dataSource) => dataSource.getRepository(entity),
        inject: [
            {
                token: constants_1.CURRENT_DATA_SOURCE_TOKEN,
                optional: false,
            },
        ],
    };
}
exports.EntityRepositoryFactory = EntityRepositoryFactory;
//# sourceMappingURL=entity-repository.factory.js.map