"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postOne = void 0;
async function postOne(inputData) {
    const { attributes, relationships } = inputData;
    const entityTarget = this.repository.manager.create(this.repository.target, attributes);
    const saveData = await this.typeormUtilsService.saveEntityData(entityTarget, relationships);
    const { data, included } = this.transformDataService.transformData(saveData);
    const includeData = included ? { included } : {};
    return {
        meta: {},
        data,
        ...includeData,
    };
}
exports.postOne = postOne;
//# sourceMappingURL=post-one.js.map