"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapEntityNameToEntity = void 0;
const constants_1 = require("../constants");
const helper_1 = require("../../../helper");
function MapEntityNameToEntity(entities) {
    return {
        provide: constants_1.MAP_ENTITY,
        useValue: entities.reduce((acum, item) => acum.set((0, helper_1.camelToKebab)((0, helper_1.getEntityName)(item)), item), new Map()),
    };
}
exports.MapEntityNameToEntity = MapEntityNameToEntity;
//# sourceMappingURL=map-entity-name-to-entity.js.map