"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.guardIsArray = exports.guardIsKeyOfObject = exports.guardKeyForPropertyTarget = void 0;
function guardKeyForPropertyTarget(relationsTargets, key) {
    if (!(key in relationsTargets))
        throw new Error('Type guard error');
}
exports.guardKeyForPropertyTarget = guardKeyForPropertyTarget;
function guardIsKeyOfObject(object, key) {
    if (typeof object === 'object' && object !== null && key in object)
        return void 0;
    throw new Error('Type guard error');
}
exports.guardIsKeyOfObject = guardIsKeyOfObject;
function guardIsArray(input) {
    return Array.isArray(input);
}
exports.guardIsArray = guardIsArray;
//# sourceMappingURL=orm-type-asserts.js.map